USRP Hardware Driver and USRP Manual: log.h File Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Macros | Enumerations | Functions
log.h File Reference
`#include <uhd/config.h>`

Go to the source code of this file.

## Macros
#define | UHD_LOG_TRACE(component, ...)
#define | UHD_LOG_DEBUG(component, ...)
#define | UHD_LOG_INFO(component, ...)
#define | UHD_LOG_WARNING(component, ...)
#define | UHD_LOG_ERROR(component, ...)
#define | UHD_LOG_FATAL(component, ...)

## Enumerations
enum | uhd_log_severity_level_t { UHD_LOG_LEVEL_TRACE , UHD_LOG_LEVEL_DEBUG , UHD_LOG_LEVEL_INFO , UHD_LOG_LEVEL_WARNING , UHD_LOG_LEVEL_ERROR , UHD_LOG_LEVEL_FATAL }

## Functions
void UHD_API | _uhd_log (const uhd_log_severity_level_t log_level, const char *filename, const int lineno, const char *comp, const char *format,...)

## Macro Definition Documentation

## ◆ UHD_LOG_DEBUG

#define UHD_LOG_DEBUG | ( |  | component,
|  |  | ... )

Value:
_uhd_log(UHD_LOG_LEVEL_DEBUG, __FILE__, __LINE__, component, __VA_ARGS__);
UHD_LOG_LEVEL_DEBUG
@ UHD_LOG_LEVEL_DEBUG
Definition log.h:13
_uhd_log
void UHD_API _uhd_log(const uhd_log_severity_level_t log_level, const char *filename, const int lineno, const char *comp, const char *format,...)

## ◆ UHD_LOG_ERROR

#define UHD_LOG_ERROR | ( |  | component,
|  |  | ... )

Value:
_uhd_log(UHD_LOG_LEVEL_ERROR, __FILE__, __LINE__, component, __VA_ARGS__);
UHD_LOG_LEVEL_ERROR
@ UHD_LOG_LEVEL_ERROR
Definition log.h:16

## ◆ UHD_LOG_FATAL

#define UHD_LOG_FATAL | ( |  | component,
|  |  | ... )

Value:
_uhd_log(UHD_LOG_LEVEL_FATAL, __FILE__, __LINE__, component, __VA_ARGS__);
UHD_LOG_LEVEL_FATAL
@ UHD_LOG_LEVEL_FATAL
Definition log.h:17

## ◆ UHD_LOG_INFO

#define UHD_LOG_INFO | ( |  | component,
|  |  | ... )

Value:
_uhd_log(UHD_LOG_LEVEL_INFO, __FILE__, __LINE__, component, __VA_ARGS__);
UHD_LOG_LEVEL_INFO
@ UHD_LOG_LEVEL_INFO
Definition log.h:14

## ◆ UHD_LOG_TRACE

#define UHD_LOG_TRACE | ( |  | component,
|  |  | ... )

Value:
_uhd_log(UHD_LOG_LEVEL_TRACE, __FILE__, __LINE__, component, __VA_ARGS__);
UHD_LOG_LEVEL_TRACE
@ UHD_LOG_LEVEL_TRACE
Definition log.h:12

## ◆ UHD_LOG_WARNING

#define UHD_LOG_WARNING | ( |  | component,
|  |  | ... )

Value:
_uhd_log(UHD_LOG_LEVEL_WARNING, __FILE__, __LINE__, component, __VA_ARGS__);
UHD_LOG_LEVEL_WARNING
@ UHD_LOG_LEVEL_WARNING
Definition log.h:15

## Enumeration Type Documentation

## ◆ uhd_log_severity_level_t

enum uhd_log_severity_level_t

Enumerator
UHD_LOG_LEVEL_TRACE |
UHD_LOG_LEVEL_DEBUG |
UHD_LOG_LEVEL_INFO |
UHD_LOG_LEVEL_WARNING |
UHD_LOG_LEVEL_ERROR |
UHD_LOG_LEVEL_FATAL |

## Function Documentation

## ◆ _uhd_log()

void UHD_API _uhd_log | ( | const uhd_log_severity_level_t | log_level,
|  | const char * | filename,
|  | const int | lineno,
|  | const char * | comp,
|  | const char * | format,
|  |  | ... )